EDIT - task #9233

Provide feedback mechanism for dataportals
09/24/2020 06:51 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 10%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

Requirements:
e allow feedback for annonymous users per cdm content page
¢ store feedback in db
e feedback refers to the cdm content page (taxon, name, media, ...)
e After submission an email is send to a configured address

Concepts for possible realizations:

A) Feedback Simple module with some feedback form

¢ Feedback Simple (https://www.drupal.org/project/feedback_simple ) kénnte aber eine gute Option sein. Dieses Modul stellt
einen Feedback-Button auf Content-Seiten bereit. Das Formular und die Verarbeitung muss man selbst zusammenstellen.

Damit sind wir auch frei in der Wahl der CAPTCHA Funktion. Wir kdnnen das gerne im Testsystem ausprobieren.
¢ the form should be a modular dialog
e Form with | am not a robot check box --> requires another plugin

Strategy for setting this feature up:

install module https://www.drupal.org/project/feedback_simple

for modular forms install https://www.drupal.org/project/modal_forms

create hook in cdm_dataportal as shown in https://www.drupal.org/node/1299158
create form a as content type b with webforms module

Questions:

¢ how to send the email on submission?
¢ how can we refer to the content page? Using token current-page:referrer with webforms?

B) adapt the content feedback module to Drupal 7

C) develop a feedback function for the cdm_dataportal module

Related issues:
Has duplicate EDIT - feature request #10406: Feedback button for taxon pages New

Associated revisions

Revision 8229b260 - 09/24/2020 06:58 PM - Andreas Kohlbecker

ref #9233 providing hook implementation to integrate modal_form with simple_feedback

History

#1 - 09/24/2020 06:56 PM - Andreas Kohlbecker
- Description updated

- Category set to cdm-dataportal

Eine weniger stérende, aber wohl auch effektive MaBnahme ist es, nur eine ,| am no robot* checkbox zu haben — das funktioniert wohl
folgendermafen:

Originally Answered: Why can the simple "I'm not a robot" checkbox (not the CAPTCHA test) effectively block robots?
https://www.drupal.org/project/feedback_simple
https://www.drupal.org/project/feedback_simple
https://www.drupal.org/project/modal_forms
https://www.drupal.org/node/1299158
https://www.drupal.org/project/token/issues/2021969

Walter wrote:

Simple - by using javascript to generate an on-screen element that a human will immediately recognize, but a robot will only see as the javascript
which is responsible for rendering the code... the main reason is that the annoying spambots that plague the Internet are not usually sophisticated
enough to run javascript or other complicated things such as CSS/ AJAX requests for the simple fact that that type of rendering requires a fairly good
understanding of how to implement numerous third party libraries and interact with the website’s document in real time.. If the whole point of the bot is
to try and crack passwords by brute force, then rendering the page each time in javascript in realtime and processing it will end up using so much
CPU / RAM / etc that the time it will take to crack the password becomes exponentially longer (on the order of millions of years)

Also the | am not a robot check forces a delay in logging in for the reason stated above.. to slow down password cracking bots so much that they will
never crack the password within the Earth’s lifetime.

#2 - 09/25/2020 10:03 AM - Andreas Kohlbecker

- Description updated

- Status changed from New to In Progress

- Assignee set to Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

- % Done changed from 0 to 10

Hallo,

ich habe mich daran gemacht ein Konzept fur die Umsetzung der Feedbackfunktion zu entwickeln.

Wenn man das wirklich mit Modulen bauen méchte braucht man ca 5 verschiedene Module die alle auch konfiguriert werden miissen. Das macht das
ganze recht komplex, was vor Allem dann unschén ist wenn man dieses Feature auch fir ein weitere Portal anbieten méchte. Da muss man ja alle

Schritte wiederholen.

Vielleicht ware es besser das von dir, Walter, entdeckte content_feedback Modul fur Drupal 7 zu portieren oder einen Eigenentwicklung direkt in das
DataPortal einzubauen.

Viele GriBe
Andreas

#3 - 01/27/2021 03:22 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#4 - 03/10/2021 03:31 PM - Andreas Kohlbecker

- Target version changed from Release 5.21 to Release 5.22

#5 - 04/15/2021 03:08 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#6 - 07/15/2021 06:27 PM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

#7 - 09/28/2021 11:38 AM - Andreas Kohlbecker
- Priority changed from Priority13 to Highest

#8 - 02/21/2022 03:42 PM - Andreas Miiller

- Status changed from In Progress to New

#9 - 03/04/2022 05:55 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Katja Luther

- Target version changed from Release 5.45 to Release 5.46

#10 - 09/27/2023 10:26 AM - Andreas Miiller
- Has duplicate feature request #10406: Feedback button for taxon pages added

#12 - 09/27/2023 10:30 AM - Andreas Miuller

- Subject changed from provide feedback mechanism for euro+med to Provide feedback mechanism for dataportals
